List the calling merchant's currency access requests
curl --request GET \
--url https://api.globalstack.io/v1/currencies/access-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.globalstack.io/v1/currencies/access-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.globalstack.io/v1/currencies/access-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Access requests fetched",
"code": "ok",
"data": [
{
"id": "rar_01KPBAP7WTDKQKW5B3R31VPNX4",
"resource_type": "currency",
"resource_id": "<string>",
"resource_code": "XAU",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"country_code": "CI",
"merchant_id": "mer_01KPBAP7WTDKQKW5B3R31VPNX4",
"merchant_name": "Acme Corp",
"reason": "q2 launch",
"reviewer_id": "<string>",
"review_reason": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
"timestamp": "2026-05-14T15:43:55.732Z",
"version": "1"
}
}{
"status": false,
"message": "Resource not found",
"code": "not_found",
"data": null,
"meta": {
"next_steps": {
"action": "Verify the resource identifier and retry.",
"docs_url": "https://docs.globalstack.io/errors#not_found"
},
"request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
"timestamp": "2026-05-14T15:43:55.732Z",
"version": "1"
}
}{
"status": false,
"message": "Resource not found",
"code": "not_found",
"data": null,
"meta": {
"next_steps": {
"action": "Verify the resource identifier and retry.",
"docs_url": "https://docs.globalstack.io/errors#not_found"
},
"request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
"timestamp": "2026-05-14T15:43:55.732Z",
"version": "1"
}
}Supported Currencies
List the calling merchant's currency access requests
List the calling merchantβs currency access requests, newest first.
GET
/
v1
/
currencies
/
access-requests
List the calling merchant's currency access requests
Authorizations
API key issued during merchant onboarding.
Query Parameters
Response
Access requests fetched
βI